<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iCelHPath Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iCelHPath Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iCelHPath" --><!-- doxytag: inherits="iBase" -->
<p>Hierarchical path between two points.  
 <a href="structiCelHPath.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="celhpf_8h_source.html">tools/celhpf.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iCelHPath:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiCelHPath.png" usemap="#iCelHPath_map" alt=""/>
  <map id="iCelHPath_map" name="iCelHPath_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,68,24"/>
</map>
 </div></div>

<p><a href="structiCelHPath-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelHPath.html#addcc2a1187b2d456b0f2afc00f4aaa67">Current</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get current node.  <a href="#addcc2a1187b2d456b0f2afc00f4aaa67"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsList.html">csList</a><br class="typebreak"/>
&lt; <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structcsSimpleRenderMesh.html">csSimpleRenderMesh</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelHPath.html#a00e4f508d3880ecd184991624d0efd44">GetDebugMeshes</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Render path.  <a href="#a00e4f508d3880ecd184991624d0efd44"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelHPath.html#a8895860883c57b1a65de1bcaf8cd26b4">GetDistance</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Distance to goal.  <a href="#a8895860883c57b1a65de1bcaf8cd26b4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelHPath.html#abca8b55fe390816d4708e75b7db40857">GetFirst</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get first node.  <a href="#abca8b55fe390816d4708e75b7db40857"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelHPath.html#a37c75dc0b6d2eb240c305c64b9ec39df">GetLast</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get last node.  <a href="#a37c75dc0b6d2eb240c305c64b9ec39df"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelHPath.html#a45de7b22009c5022bee0bd20101784d3">HasNext</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Check if the path can be transversed forward from the current position.  <a href="#a45de7b22009c5022bee0bd20101784d3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelHPath.html#aa3fcfae751a258fab2042a52dd9cb66f">HasPrevious</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Check if the path can be transversed backward from the current position.  <a href="#aa3fcfae751a258fab2042a52dd9cb66f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelHPath.html#a64615ab0f8da11610260dd4a0e705363">Invert</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Invert path.  <a href="#a64615ab0f8da11610260dd4a0e705363"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelHPath.html#a35d4b7fe8a19cb20e4d7448cadb25dcc">Next</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get next node.  <a href="#a35d4b7fe8a19cb20e4d7448cadb25dcc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelHPath.html#a07d7c29607c3075f8a4a6345ea9b81b8">Previous</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get previous node.  <a href="#a07d7c29607c3075f8a4a6345ea9b81b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelHPath.html#a8bc98961ee7124f1b907f2200d4839a6">Restart</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Restart path.  <a href="#a8bc98961ee7124f1b907f2200d4839a6"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Hierarchical path between two points. </p>

<p>Definition at line <a class="el" href="celhpf_8h_source.html#l00043">43</a> of file <a class="el" href="celhpf_8h_source.html">celhpf.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="addcc2a1187b2d456b0f2afc00f4aaa67"></a><!-- doxytag: member="iCelHPath::Current" ref="addcc2a1187b2d456b0f2afc00f4aaa67" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a>* <a class="el" href="structiCelHPath.html#addcc2a1187b2d456b0f2afc00f4aaa67">iCelHPath::Current</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get current node. </p>

</div>
</div>
<a class="anchor" id="a00e4f508d3880ecd184991624d0efd44"></a><!-- doxytag: member="iCelHPath::GetDebugMeshes" ref="a00e4f508d3880ecd184991624d0efd44" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsList.html">csList</a>&lt;<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structcsSimpleRenderMesh.html">csSimpleRenderMesh</a>&gt;* <a class="el" href="structiCelHPath.html#a00e4f508d3880ecd184991624d0efd44">iCelHPath::GetDebugMeshes</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Render path. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The user is responsible for freeing the returned pointer. </dd></dl>

</div>
</div>
<a class="anchor" id="a8895860883c57b1a65de1bcaf8cd26b4"></a><!-- doxytag: member="iCelHPath::GetDistance" ref="a8895860883c57b1a65de1bcaf8cd26b4" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiCelHPath.html#a8895860883c57b1a65de1bcaf8cd26b4">iCelHPath::GetDistance</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Distance to goal. </p>

</div>
</div>
<a class="anchor" id="abca8b55fe390816d4708e75b7db40857"></a><!-- doxytag: member="iCelHPath::GetFirst" ref="abca8b55fe390816d4708e75b7db40857" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a>* <a class="el" href="structiCelHPath.html#abca8b55fe390816d4708e75b7db40857">iCelHPath::GetFirst</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get first node. </p>

</div>
</div>
<a class="anchor" id="a37c75dc0b6d2eb240c305c64b9ec39df"></a><!-- doxytag: member="iCelHPath::GetLast" ref="a37c75dc0b6d2eb240c305c64b9ec39df" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a>* <a class="el" href="structiCelHPath.html#a37c75dc0b6d2eb240c305c64b9ec39df">iCelHPath::GetLast</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get last node. </p>

</div>
</div>
<a class="anchor" id="a45de7b22009c5022bee0bd20101784d3"></a><!-- doxytag: member="iCelHPath::HasNext" ref="a45de7b22009c5022bee0bd20101784d3" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelHPath.html#a45de7b22009c5022bee0bd20101784d3">iCelHPath::HasNext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Check if the path can be transversed forward from the current position. </p>

</div>
</div>
<a class="anchor" id="aa3fcfae751a258fab2042a52dd9cb66f"></a><!-- doxytag: member="iCelHPath::HasPrevious" ref="aa3fcfae751a258fab2042a52dd9cb66f" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelHPath.html#aa3fcfae751a258fab2042a52dd9cb66f">iCelHPath::HasPrevious</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Check if the path can be transversed backward from the current position. </p>

</div>
</div>
<a class="anchor" id="a64615ab0f8da11610260dd4a0e705363"></a><!-- doxytag: member="iCelHPath::Invert" ref="a64615ab0f8da11610260dd4a0e705363" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelHPath.html#a64615ab0f8da11610260dd4a0e705363">iCelHPath::Invert</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Invert path. </p>

</div>
</div>
<a class="anchor" id="a35d4b7fe8a19cb20e4d7448cadb25dcc"></a><!-- doxytag: member="iCelHPath::Next" ref="a35d4b7fe8a19cb20e4d7448cadb25dcc" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a>* <a class="el" href="structiCelHPath.html#a35d4b7fe8a19cb20e4d7448cadb25dcc">iCelHPath::Next</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get next node. </p>

</div>
</div>
<a class="anchor" id="a07d7c29607c3075f8a4a6345ea9b81b8"></a><!-- doxytag: member="iCelHPath::Previous" ref="a07d7c29607c3075f8a4a6345ea9b81b8" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a>* <a class="el" href="structiCelHPath.html#a07d7c29607c3075f8a4a6345ea9b81b8">iCelHPath::Previous</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get previous node. </p>

</div>
</div>
<a class="anchor" id="a8bc98961ee7124f1b907f2200d4839a6"></a><!-- doxytag: member="iCelHPath::Restart" ref="a8bc98961ee7124f1b907f2200d4839a6" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelHPath.html#a8bc98961ee7124f1b907f2200d4839a6">iCelHPath::Restart</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Restart path. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="celhpf_8h_source.html">celhpf.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
